<html>
<head>
<title>Ogre::BillboardChain::ChainSegment Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BillboardChain.html">BillboardChain</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html">ChainSegment</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BillboardChain::ChainSegment Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BillboardChain::ChainSegment" -->
<p>Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain.  
 <a href="structOgre_1_1BillboardChain_1_1ChainSegment.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>&gt;</code></p>

<p><a href="structOgre_1_1BillboardChain_1_1ChainSegment-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#a2c6adff0f71d170a1d0c3ca336f44768">start</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The start of this chains subset of the buffer.  <a href="#a2c6adff0f71d170a1d0c3ca336f44768"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#a2297794c9d5c82455d6f0ebba8db1b37">head</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The 'head' of the chain, relative to start.  <a href="#a2297794c9d5c82455d6f0ebba8db1b37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#a7e756025f58f6c7e6f6d0f63afe57e6c">tail</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The 'tail' of the chain, relative to start.  <a href="#a7e756025f58f6c7e6f6d0f63afe57e6c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain. </p>
<p>The buffer subset wraps at mMaxElementsPerChain so that head and tail can move freely. head and tail are inclusive, when the chain is empty head and tail are filled with high-values. </p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00331">331</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a2297794c9d5c82455d6f0ebba8db1b37"></a><!-- doxytag: member="Ogre::BillboardChain::ChainSegment::head" ref="a2297794c9d5c82455d6f0ebba8db1b37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#a2297794c9d5c82455d6f0ebba8db1b37">Ogre::BillboardChain::ChainSegment::head</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The 'head' of the chain, relative to start. </p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00336">336</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c6adff0f71d170a1d0c3ca336f44768"></a><!-- doxytag: member="Ogre::BillboardChain::ChainSegment::start" ref="a2c6adff0f71d170a1d0c3ca336f44768" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#a2c6adff0f71d170a1d0c3ca336f44768">Ogre::BillboardChain::ChainSegment::start</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The start of this chains subset of the buffer. </p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00334">334</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7e756025f58f6c7e6f6d0f63afe57e6c"></a><!-- doxytag: member="Ogre::BillboardChain::ChainSegment::tail" ref="a7e756025f58f6c7e6f6d0f63afe57e6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#a7e756025f58f6c7e6f6d0f63afe57e6c">Ogre::BillboardChain::ChainSegment::tail</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The 'tail' of the chain, relative to start. </p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h_source.html#l00338">338</a> of file <a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardChain_8h_source.html">OgreBillboardChain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
